#include "menu.h"

Menu::Menu()
{
	opcion = 1;
}

int 
Menu::ejecutar()
{
	StdPijo& stdp = StdPijo::p();
	
	int retorno = 0;
	
	switch(stdp.getKey())
	{
		case 'w':
			if(opcion == 1)
				opcion = 4;
			else
				opcion--;
			break;
		case 's':
			if(opcion == 4)
				opcion = 1;
			else
				opcion++;
			break;
		case ' ':
			retorno = opcion;
			break;
	}
	
	return retorno;
}

void 
Menu::mostrar()
{
	StdPijo& stdp = StdPijo::p();
	
	stdp.clearScreen();
	
	stdp.box(0,0,80,24);
	
	stdp.setColor(ABOLD,CBLUE,CBLACK);
	mvprintw(1,2,"      ___                 ___                 ___                 ___");
	mvprintw(2,2,"     /\\__\\               /\\  \\               /\\__\\               /\\__\\");
	mvprintw(3,2,"    /::|  |             /::\\  \\             /::|  |             /:/  /");
	mvprintw(4,2,"   /:|:|  |            /:/\\:\\  \\           /:|:|  |            /:/  /");
	mvprintw(5,2,"  /:/|:|__|__         /::\\~\\:\\  \\         /:/|:|  |__         /:/  /  ___");
	mvprintw(6,2," /:/ |::::\\__\\       /:/\\:\\ \\:\\__\\       /:/ |:| /\\__\\       /:/__/  /\\__\\");
	mvprintw(7,2," \\/__/~~/:/  /       \\:\\~\\:\\ \\/__/       \\/__|:|/:/  /       \\:\\  \\ /:/  /");
	mvprintw(8,2,"       /:/  /         \\:\\ \\:\\__\\             |:/:/  /         \\:\\  /:/  /"); 
	mvprintw(9,2,"      /:/  /           \\:\\ \\/__/             |::/  /           \\:\\/:/  /");   
	mvprintw(10,2,"     /:/  /             \\:\\__\\               /:/  /             \\::/  /");    
	mvprintw(11,2,"     \\/__/               \\/__/               \\/__/               \\/__/");     
	stdp.setColor(ANORMAL,CWHITE,CBLACK);
	
	mvprintw(15,37,"Jugar");
	mvprintw(17,36,"Ranking");
	mvprintw(19,35,"Challenges");
	mvprintw(21,37,"Salir");
	
	switch(opcion)
	{
		case 1: 
			stdp.setColor(ANORMAL,CRED,CBLACK);
			mvaddch(15,35,ACS_DIAMOND); 
			mvaddch(15,43,ACS_DIAMOND); 
			mvprintw(15,37,"Jugar");
			break;
		case 2: 
			stdp.setColor(ANORMAL,CCYAN,CBLACK);
			mvaddch(17,34,ACS_DIAMOND); 
			mvaddch(17,44,ACS_DIAMOND); 
			mvprintw(17,36,"Ranking");
			break;
		case 3: 
			stdp.setColor(ANORMAL,CMAGENTA,CBLACK);
			mvaddch(19,33,ACS_DIAMOND); 
			mvaddch(19,46,ACS_DIAMOND); 
			mvprintw(19,35,"Challenges");
			break;
		case 4: 
			stdp.setColor(ANORMAL,CYELLOW,CBLACK);
			mvaddch(21,35,ACS_DIAMOND); 
			mvaddch(21,43,ACS_DIAMOND); 
			mvprintw(21,37,"Salir");
			break;
	}
	stdp.setColor(ANORMAL,CWHITE,CBLACK);
	
	
	
	
}