#include "portada.h"

Portada::Portada()
{
	posicion = 50;
	bonus = false;
}

int
Portada::ejecutar()
{
	StdPijo& stdp = StdPijo::p();
	int retorno = EPORTADA;
	
	if(posicion < 0)
		posicion = 50;
	else
		posicion--;
	
	switch(stdp.getKey())
	{
		case ' ': retorno = EMENU; break;
		case 'c': if(!bonus) bonus= true; break;
	}
	
	return retorno;
}

void
Portada::mostrar()
{
	StdPijo& stdp = StdPijo::p();

	stdp.setColor(ABLINK, CWHITE, CRED);
	
	//mvprintw(3,10, "MM   M IIIII N   N EEEEE DDD");
	mvprintw(4,10,"MM");
	mvprintw(4,15,"M");
	mvprintw(4,17,"IIIII");
	mvprintw(4,23,"N");
	mvprintw(4,27,"N");
	mvprintw(4,30,"EEEEE");
	mvprintw(4,36,"DDD");
	mvprintw(4,49,"OOO");
	mvprintw(4,54,"UU");
	mvprintw(4,59,"U");
	mvprintw(4,61,"TTTTT");
	
	//mvprintw(4,10, " MM MM   I   N   N E     D  D");
	mvprintw(5,11,"MM");
	mvprintw(5,14,"MM");
	mvprintw(5,19,"I");
	mvprintw(5,23,"N");
	mvprintw(5,27,"N");
	mvprintw(5,30,"E");
	mvprintw(5,36,"D");
	mvprintw(5,39,"D");
	mvprintw(5,48,"O");
	mvprintw(5,52,"O");
	mvprintw(5,55,"U");
	mvprintw(5,59,"U");
	mvprintw(5,63,"T");
	
	//mvprintw(5,10, " M M M   I   NN  N E     D  D");
	mvprintw(6,11,"M");
	mvprintw(6,13,"M");
	mvprintw(6,15,"M");
	mvprintw(6,19,"I");
	mvprintw(6,23,"NN");
	mvprintw(6,27,"N");
	mvprintw(6,30,"E");
	mvprintw(6,36,"D");
	mvprintw(6,39,"D");
	mvprintw(6,48,"O");
	mvprintw(6,52,"O");
	mvprintw(6,55,"U");
	mvprintw(6,59,"U");
	mvprintw(6,63,"T");
	
	//mvprintw(6,10, " M   M   I   N N N EEE   D   D");
	mvprintw(7,11,"M");
	mvprintw(7,13,"M");
	mvprintw(7,15,"M");
	mvprintw(7,19,"I");
	mvprintw(7,23,"N");
	mvprintw(7,25,"N");
	mvprintw(7,27,"N");
	mvprintw(7,30,"EEE");
	mvprintw(7,36,"D");
	mvprintw(7,40,"D");
	mvprintw(7,43,"---");
	mvprintw(7,48,"O");
	mvprintw(7,52,"O");
	mvprintw(7,55,"U");
	mvprintw(7,59,"U");
	mvprintw(7,63,"T");
	
	//mvprintw(8,10, " M   M   I   N  NN E     D  D");
	mvprintw(8,11,"M");
	mvprintw(8,15,"M");
	mvprintw(8,19,"I");
	mvprintw(8,23,"N");
	mvprintw(8,26,"NN");
	mvprintw(8,30,"E");
	mvprintw(8,36,"D");
	mvprintw(8,39,"D");
	mvprintw(8,48,"O");
	mvprintw(8,52,"O");
	mvprintw(8,55,"U");
	mvprintw(8,59,"U");
	mvprintw(8,63,"T");
	
	//mvprintw(9,10, " M   M   I   N   N E     D  D");
	mvprintw(9,11,"M");
	mvprintw(9,15,"M");
	mvprintw(9,19,"I");
	mvprintw(9,23,"N");
	mvprintw(9,27,"N");
	mvprintw(9,30,"E");
	mvprintw(9,36,"D");
	mvprintw(9,39,"D");
	mvprintw(9,48,"O");
	mvprintw(9,52,"O");
	mvprintw(9,55,"U");
	mvprintw(9,59,"U");
	mvprintw(9,63,"T");
	
	//mvprintw(10,10," M   M IIIII N   N EEEEE DDD");
	mvprintw(10,11,"M");
	mvprintw(10,15,"M");
	mvprintw(10,17,"IIIII");
	mvprintw(10,23,"N");
	mvprintw(10,27,"N");
	mvprintw(10,30,"EEEEE");
	mvprintw(10,36,"DDD");
	mvprintw(10,49,"OOO");
	mvprintw(10,56,"UUU");
	mvprintw(10,63,"T");
	
	stdp.setColor(ANORMAL, CWHITE, CBLACK);
	
	if(!bonus)
	{
		mvprintw(15,posicion, "Pulse SPACEBAR para continuar");
		mvprintw(15,51,"                             ");
		mvprintw(15,0,"                             ");
	}
	else
	{
		stdp.setColor(ABOLD,CWHITE,CBLACK);
		mvprintw(14,12,"El Matemago:");
		stdp.setColor(ANORMAL,CWHITE,CBLACK);
		mvprintw(15,12,"Amigos: Punset y Tamariz");
		mvprintw(16,12,"Nivel de Linux: Corbí");
		mvprintw(17,12,"Cita Favorita: ¡Soy un compilador con patas!");
		mvprintw(18,12,"Actualmente juega: Duke Nukem Forever");
		mvprintw(19,12,"Juego Favorito: Calculo Mental de Zeta");
		mvprintw(20,12,"Objetivos: Vencer al Fisimago y...");
		mvprintw(21,23,"¡Conquistar el mundo!");
		
		mvprintw(18,68,"ji");
		mvprintw(19,70,"ji");
	}
	
	mvprintw(17,60,"   /\\ ");
	mvprintw(18,60,"\\ c\")");
	mvprintw(19,60," ;-/\\>");
	mvprintw(20,60,"   ||  ");
	
	stdp.box(0,0,80,24);
}